HILIVE(1)

NAME
hilive - Realtime Alignment of Illumina Reads

SYNOPSIS
hilive [options] BC_DIR INDEX CYCLES

DESCRIPTION
HiLive v0.1 - Realtime Alignment of Illumina Reads Copyright © 2015, Martin S. Lindner HiLive is open-source software. Check with --license for details.

Fixed k-mer size: 15

BC_DIR
    Illumina BaseCalls directory of the sequencing run to analyze

INDEX
    Path to k-mer index file (*.kix)

CYCLES
    Total number of cycles for read 1

  General:

-h [ --help ]
    Print this help message and exit

--license
    Print licensing information and exit

  IO settings:

--temp arg
    Temporary directory for the alignment files [Default: use BaseCalls directory]

-S [ --sam ] arg
    Create SAM files for each tile. [Default: no SAM files]

-k [ --keep-files ]
    Keep intermediate alignment files [Default: false]

-l [ --lanes ] arg
    Select lane [Default: all lanes]

-t [ --tiles ] arg
    Select tile numbers [Default: all tiles]

  Alignment settings:

-e [ --min-errors ] arg (=2)
    Number of errors tolerated in read alignment

-H [ --best-hit ]
    Report only the best alignmnet(s) for each read

-N [ --best-n ] arg (=2)
    Report the N best alignmnets for each read

--disable-ohw-filter
    Disable the One-Hit Wonder filter

--start-ohw arg (=20)
    First cycle to apply One-Hit Wonder filter

-w [ --window ] arg (=5)
    Set the window size to search for alignment continuation, i.e. maximum insertion/deletion size

--min-quality arg (=1)
    Minimum allowed basecall quality

  Technical settings:

--block-size arg
    Block size for the alignment input/output stream in Bytes. Use -K or -M to specify in Kilobytes or Megabytes

-K  Interpret the block-size argument as Kilobytes instead of Bytes

-M  Interpret the block-size argument as Megabytes instead of Bytes

-c [ --compression ] arg (=2)
    Compress alignment files. 0: no compression (default) 1: Deflate (smaller) 2: LZ4 (faster)

-n [ --num-threads ] arg (=1)
    Number of threads to spawn

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.